HOC SiteDocumentation

PUT /api/v1/{locale}/{websiteId}/components/{id}

Save component design (sparse content merge, contentMode replace, or ops patch)

Method: PUT · Auth: bearer · Group: design

/api/v1/{locale}/{websiteId}/components/{id}

Save component design (sparse content merge, contentMode replace, or ops patch)

Request

  • Content-Type: application/json
{ "content"?: object|string, "contentMode"?: "merge"|"replace", "ops"?: object[], "contentLocale"?: "string", "response"?: "full"|"slim", "label"?: "string" }

MCP tools